Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class AnnotationTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.AnnotationTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AnnotationType<T>

    public class AnnotationTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AnnotationType<T>

This class implements the `annotationType` xsd type

Original Documentation:

The annotationType is used to add annotations to a bean class,
method, or field.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AnnotationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AnnotationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getAnnotationClass()` Returns the `annotation-class` element
`java.lang.String` | `getAnnotationImplementationClass()` Returns the `annotation-implementation-class` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<AnnotationPropertyType<AnnotationType<T>>>` | `getPropertyList()` Returns all `property` elements
`InjectionTargetType<AnnotationType<T>>` | `injectionTarget()` If not already created, a new `injection-target` element will be created and returned.
`AnnotationPropertyType<AnnotationType<T>>` | `property()` Returns the `property` element
`AnnotationType<T>` | `removeAllDescription()` Removes the `description` element
`AnnotationType<T>` | `removeAllProperty()` Removes all `property` elements
`AnnotationType<T>` | `removeAnnotationClass()` Removes the `annotation-class` element
`AnnotationType<T>` | `removeAnnotationImplementationClass()` Removes the `annotation-implementation-class` element
`AnnotationType<T>` | `removeInjectionTarget()` Removes the `injection-target` element
`AnnotationType<T>` | `setAnnotationClass(java.lang.String annotationClass)` If not already created, a new `annotation-class` element with the given value will be created.
`AnnotationType<T>` | `setAnnotationImplementationClass(java.lang.String annotationImplementationClass)` If not already created, a new `annotation-implementation-class` element with the given value will be created.
`AnnotationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`AnnotationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationTypeImpl

    public AnnotationTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### AnnotationTypeImpl

    public AnnotationTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public AnnotationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### setDescriptionList

    public AnnotationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `AnnotationType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `AnnotationType`

### removeAllDescription

    public AnnotationType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `AnnotationType<T>`
  Returns:
    list of `description`

### setAnnotationClass

    public AnnotationType<T> setAnnotationClass(java.lang.String annotationClass)

  If not already created, a new `annotation-class` element with the given value will be created. Otherwise, the existing `annotation-class` element will be updated with the given value.

  Specified by:
    `setAnnotationClass` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### removeAnnotationClass

    public AnnotationType<T> removeAnnotationClass()

  Removes the `annotation-class` element

  Specified by:
    `removeAnnotationClass` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### getAnnotationClass

    public java.lang.String getAnnotationClass()

  Returns the `annotation-class` element

  Specified by:
    `getAnnotationClass` in interface `AnnotationType<T>`
  Returns:
    the node defined for the element `annotation-class`

### setAnnotationImplementationClass

    public AnnotationType<T> setAnnotationImplementationClass(java.lang.String annotationImplementationClass)

  If not already created, a new `annotation-implementation-class` element with the given value will be created. Otherwise, the existing `annotation-implementation-class` element will be updated with the given value.

  Specified by:
    `setAnnotationImplementationClass` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### removeAnnotationImplementationClass

    public AnnotationType<T> removeAnnotationImplementationClass()

  Removes the `annotation-implementation-class` element

  Specified by:
    `removeAnnotationImplementationClass` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### getAnnotationImplementationClass

    public java.lang.String getAnnotationImplementationClass()

  Returns the `annotation-implementation-class` element

  Specified by:
    `getAnnotationImplementationClass` in interface `AnnotationType<T>`
  Returns:
    the node defined for the element `annotation-implementation-class`

### removeInjectionTarget

    public AnnotationType<T> removeInjectionTarget()

  Removes the `injection-target` element

  Specified by:
    `removeInjectionTarget` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### injectionTarget

    public InjectionTargetType<AnnotationType<T>> injectionTarget()

  If not already created, a new `injection-target` element will be created and returned. Otherwise, the existing `injection-target` element will be returned.

  Specified by:
    `injectionTarget` in interface `AnnotationType<T>`
  Returns:
    the node defined for the element `injection-target`

### removeAllProperty

    public AnnotationType<T> removeAllProperty()

  Removes all `property` elements

  Specified by:
    `removeAllProperty` in interface `AnnotationType<T>`
  Returns:
    the current instance of `AnnotationType`

### property

    public AnnotationPropertyType<AnnotationType<T>> property()

  Returns the `property` element

  Specified by:
    `property` in interface `AnnotationType<T>`
  Returns:
    the node defined for the element `property`

### getPropertyList

    public java.util.List<AnnotationPropertyType<AnnotationType<T>>> getPropertyList()

  Returns all `property` elements

  Specified by:
    `getPropertyList` in interface `AnnotationType<T>`
  Returns:
    list of `property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD